.navbar-container {
  width: 100%;
  height: 50px;
  display: flex;
  align-items: center;
  position: sticky;
  top: 0;
  background-color: #001631;
  z-index: 999;

  .navbar-container_left {
    flex: 3;
    
    .logo {
      font-size: 24px;
      color: white;
      font-weight: 500;
      margin-left: 20px;
      cursor: pointer;
    }
  }

  .navbar-container_center {
    flex: 5;
    
    .search-bar {
      width: 100%;
      height: 30px;
      background-color: white;
      border: 1px solid white;
      border-radius: 30px;
      display: flex;
      align-items: center;

      .search-bar_icon {
        font-size: 20px;
        margin: 10px;
        color: gray;
        cursor: pointer;
      }

      .search-bar_input {
        border: none;
        width: 90%;
        height: 30px;

        &:focus {
          outline: none;
        }
      }
    }
  }

  .navbar-container_right {
    flex: 4;
    display: flex;
    align-items: center;
    justify-content: space-around;
    color: white;

    .navbar-links_item {
      margin-left: 20px;
      font-size: 14px;
      cursor: pointer;
    }

    .navbar-icon {
      display: flex;
      font-size: 20px;
      gap: 10px;

      .navbar-icon_item {
        display: flex;
        margin-right: 15px;
        position: relative;
        cursor: pointer;

        .navbar-icon_item__badge {
          width: 16px;
          height: 16px;
          background-color: red;
          position: absolute;
          top: -5px;
          right: -5px;
          font-size: 12px;
          border-radius: 50%;
          display: flex;
          align-items: center;
          justify-content: center;
        }
      }
    }

    img.navbar-img {
      display: flex;
      width: 32px;
      height: 32px;
      border-radius: 50%;
      border: 2px solid white;
      object-fit: cover;
      cursor: pointer;
    }
  }
}

@media only screen and (max-width: 992px) {
  .navbar-container {
    .navbar-container_left {
      flex: 2;
    }

    .navbar-container_center {
      flex: 5;

      .search-bar {
        width: 95%;

        .search-bar_input {
          width: 70%;
        }
      }
    }

    .navbar-container_right {
      img.navbar-img {
        margin-right: 20px;
      }
    }
  }
}

@media only screen and (max-width: 768px) {
  .navbar-container {
    .navbar-container_left {
      flex: 3;
    }

    .navbar-container_right {
      .navbar-links_item {
        display: none;
      }
    }
  }
}

@media only screen and (max-width: 576px) {
  .navbar-container {
    justify-content: space-between;

    .navbar-container_left {
      flex: 1;
    }

    .navbar-container_center {
      flex: 1;
      display: none;
    }

    .navbar-container_right {
      flex: 1;
    }
  }
}
